CREATE TABLE ITEM (ITEM_ID NUMBER(19) NOT NULL, NAME VARCHAR2(255) NULL, HIERARCHY_ID NUMBER(19) NULL, PRIMARY KEY (ITEM_ID))
CREATE TABLE HIERARCHY (HIERARCHY_ID NUMBER(19) NOT NULL, NAME VARCHAR2(255) NULL, PARENT_ID NUMBER(19) NULL, PRIMARY KEY (HIERARCHY_ID))
CREATE TABLE HIERARCHY_VIEW (DESCENDENT NUMBER(19) NOT NULL, ANCESTOR NUMBER(19) NOT NULL, PRIMARY KEY (DESCENDENT, ANCESTOR))
ALTER TABLE ITEM ADD CONSTRAINT FK_ITEM_HIERARCHY_ID FOREIGN KEY (HIERARCHY_ID) REFERENCES HIERARCHY (HIERARCHY_ID)
ALTER TABLE HIERARCHY ADD CONSTRAINT FK_HIERARCHY_PARENT_ID FOREIGN KEY (PARENT_ID) REFERENCES HIERARCHY (HIERARCHY_ID)
ALTER TABLE HIERARCHY_VIEW ADD CONSTRAINT FK_HIERARCHY_VIEW_ANCESTOR FOREIGN KEY (ANCESTOR) REFERENCES HIERARCHY (HIERARCHY_ID)
ALTER TABLE HIERARCHY_VIEW ADD CONSTRAINT FK_HIERARCHY_VIEW_DESCENDENT FOREIGN KEY (DESCENDENT) REFERENCES HIERARCHY (HIERARCHY_ID)
