package com.example.isUnderPrototype.entity;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.FetchType;
import javax.persistence.Id;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.persistence.Table;

import org.eclipse.persistence.annotations.Cache;
import org.eclipse.persistence.config.CacheIsolationType;

@Entity
@Table(name = "HIERARCHY")
@Cache(isolation = CacheIsolationType.SHARED)
public class HierarchyEO {

    Long id;
    String name;
    HierarchyEO parent;

    @Id
    @Column(name = "HIERARCHY_ID")
    public Long getId() {
        return id;
    }

    public void setId(Long commonId) {
        this.id = commonId;
    }

    @Column(name = "NAME")
    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    @ManyToOne(fetch = FetchType.LAZY, targetEntity = HierarchyEO.class)
    @JoinColumn(name = "PARENT_ID")
    public HierarchyEO getParent() {
        return parent;
    }

    public void setParent(HierarchyEO parent) {
        this.parent = parent;
    }

}
