package com.example.isUnderPrototype.impls;

import javax.persistence.criteria.Path;
import javax.persistence.criteria.Root;

import com.example.isUnderPrototype.IsUnderClause;
import com.example.isUnderPrototype.IsUnderClauseBuilder;
import com.example.isUnderPrototype.entity.ItemEO;

/**
 * <p>Just a base builder that gives helpful methods.</p>
 */
public abstract class BaseIsUnderClauseBuilder implements IsUnderClauseBuilder {

    protected Path<Long> pathToHierarchyId(Root<ItemEO> root, IsUnderClause data) {
        Path<Long> path = null;
        for (String pathEl : data.getPath()) {
            if (path == null) {
                path = root.get(pathEl);
            } else {
                path = path.get(pathEl);
            }
        }
        return path;
    }
}
